#include <iostream>
using namespace std;
int main()
{
    double n,h[100000],var=0;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>h[i];
    }
    for(int k=1; k<=n; k++)
    {
        for(int j=2; j<=n; j++)
        {
            if(k+1==j)
            {
                var++;
            }
            else
            {
                for(int c=k-1;c<=n;c++)
                {
                    if((j<c&&k<c)||(j>c&&k>c))
                    {
                        var++;
                    }
                }
            }
        }
    }
    cout<<var*2-n*14.3333333<<endl;
    return 0;
}